import { createApp } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import { i18n } from './i18n'
import 'ag-grid-community/styles/ag-grid.css'
import './assets/ag-grid-alpha.css'
import './style.css'
import db from '@/services/db'

const app = createApp(App)
app.use(createPinia())
app.use(i18n)
app.mount('#app')

// Debug: exponer BD para consultas desde consola del navegador
;(window as any).__db = db
